import { IShellCommand } from "./IShellCommand";
import { System } from "../system";

export class man implements IShellCommand {
    getName(): string {
        return 'man';
    }

    getManPage(): string {
        return 'man - display system reference manuals\n\nUsage: man command_name';
    }

    execute(args: string[]): string {
        if (args.length !== 1) {
            return 'Usage: man command_name';
        }

        const system = System.getInstance();
        const command = system['commands'].find(c => c.getName() === args[0]);

        if (!command) {
            return `No manual entry for ${args[0]}`;
        }

        return command.getManPage();
    }
}
