import { IShellCommand } from "./IShellCommand";

export class ping implements IShellCommand {
    getName(): string {
        return 'ping';
    }

    getManPage(): string {
        return 'ping - send ICMP ECHO_REQUEST to network hosts\n\nUsage: ping [ip-address]';
    }

    execute(args: string[]): string {
        if (args.length !== 1) {
            return 'Usage: ping [ip-address]';
        }

        const ip = args[0];
        let output = `PING ${ip} (${ip}) 56(84) bytes of data.\n`;

        for (let i = 0; i < 4; i++) {
            const time = Math.random() * 50 + 20;
            output += `64 bytes from ${ip}: icmp_seq=${i + 1} ttl=64 time=${time.toFixed(1)} ms\n`;
        }

        output += '\n--- ping statistics ---\n';
        output += `4 packets transmitted, 4 received, 0% packet loss, time 3000ms\n`;
        output += `rtt min/avg/max/mdev = 20.0/30.0/40.0/5.0 ms\n`;

        return output;
    }
}
