import { IShellCommand } from "./IShellCommand";
import { ShellSyscall } from "../ShellSyscall";

export class pwd implements IShellCommand {
    constructor(private syscall: ShellSyscall) {}

    getName(): string {
        return "pwd";
    }

    execute(_: string[]): string {
        return this.syscall.getCurrentDirectory();
    }

    getManPage(): string {
        return "pwd - print name of current/working directory";
    }
}
